Subject: Re: [PATCH] net: phy: smsc: disable energy detect mode

From: Heiko Schocher <[email-masked]>
Date: Sat, 17 Oct 2015 05:42:05 +0200

Hello Florian,

Am 16.10.2015 um 18:27 schrieb Florian Fainelli:
> 2015-10-13 21:17 GMT-07:00 Heiko Schocher <[email-masked]>:
>> Hello Florian,
>>
>>
>> Am 13.10.2015 um 21:26 schrieb Florian Fainelli:
>>>
>>> On 12/10/15 22:13, Heiko Schocher wrote:
>>>>
>>>> On some boards the energy enable detect mode leads in
>>>> trouble with some switches, so make the enabling of
>>>> this mode configurable through DT.
>>>>
>>>> Signed-off-by: Heiko Schocher <[email-masked]>
>>>> ---
>>>>
>>>>    .../devicetree/bindings/net/smsc-lan87xx.txt       | 19
>>>> +++++++++++++++++
>>>>    drivers/net/phy/smsc.c                             | 24
>>>> +++++++++++++++++-----
>>>>    2 files changed, 38 insertions(+), 5 deletions(-)
>>>>    create mode 100644
>>>> Documentation/devicetree/bindings/net/smsc-lan87xx.txt
>>>>
>>>> diff --git a/Documentation/devicetree/bindings/net/smsc-lan87xx.txt
>>>> b/Documentation/devicetree/bindings/net/smsc-lan87xx.txt
>>>> new file mode 100644
>>>> index 0000000..39aa1dc
>>>> --- /dev/null
>>>> +++ b/Documentation/devicetree/bindings/net/smsc-lan87xx.txt
>>>> @@ -0,0 +1,19 @@
>>>> +SMSC LAN87xx Ethernet PHY
>>>> +
>>>> +Some boards require special tuning values. Configure them
>>>> +through an Ethernet OF device node.
>>>> +
>>>> +Optional properties:
>>>> +
>>>> +- disable-energy-detect:
>>>> +  If set, do not enable energy detect mode for the SMSC phy.
>>>> +  default: enable energy detect mode
>>>
>>>
>>> Although energy detection is something that is implemented by many PHYs,
>>> I am not sure a generic property is suitable here, I would prefix that
>>> with the SMSC vendor prefix here to make it clear this only applies to
>>> this PHY.
>>
>>
>> Hmm... but all PHYs should be able to enable, disable it in some way, or?
>
> It may not always be controlled directly at the PHY level, sometimes
> this is something that needs cooperation with the Ethernet MAC as well
> in case of integrated designs.

Ah, ok!

>>> Would not you want to make it a reverse property here though, something
>>> like this:
>>>
>>> smsc,energy-detect: boolean, when present indicates the PHY reliably
>>> supports energy detection
>>
>>
>> Yes, that was also my first thought, but currently, on this PHYs
>> energy detect mode is on ... and if I introduce such a property,
>> it will disable it for all existing boards, because property is
>> missing ... so, maybe I break boards ...
>
> Fair enough, how about smsc,disabled-energy-detect or something like that then?

Yes, changed it to "smsc,disable-energy-detect"

bye,
Heiko
-- 
DENX Software Engineering GmbH,      Managing Director: Wolfgang Denk
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
--
To unsubscribe from this list: send the line "unsubscribe devicetree" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html